﻿'-----------------------------------------------
'TUSB-0212ADM2 用ドライバアクセス用API
'Visual Basic 用モジュール
'
'2013_10_28　株式会社タートル工業
'Copyright (C) 2013 Turtle Industry Co.,Ltd.
'-----------------------------------------------
Option Strict Off
Option Explicit On

Imports System.Runtime.InteropServices

Module TUSBADM2
    <DllImport("TUSBADM2.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbadm2_Device_Open( _
                                 ByVal Id As Short) As Short
    End Function
    <DllImport("TUSBADM2.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Sub Tusbadm2_Device_Close( _
                             ByVal Id As Short)
    End Sub
    <DllImport("TUSBADM2.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbadm2_Dio_Read( _
                              ByVal Id As Short, _
                              ByRef Data As Byte) As Short
    End Function
    <DllImport("TUSBADM2.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbadm2_Dio_Write( _
                               ByVal Id As Short, _
                               ByVal Data As Byte) As Short
    End Function
    <DllImport("TUSBADM2.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbadm2_Adc_Start( _
                               ByVal Id As Short, _
                               ByVal CycLen As Integer, _
                               ByVal PreLen As Integer, _
                               ByVal TrgSel As Byte, _
                               ByVal Mode As Byte, _
                               ByVal Ch1Only As Byte) As Short
    End Function
    <DllImport("TUSBADM2.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbadm2_Adc_Stop( _
                              ByVal Id As Short) As Short
    End Function
    <DllImport("TUSBADM2.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbadm2_Status_Get( _
                                ByVal Id As Short, _
                                ByRef Status As Byte, _
                                ByRef OvfStShort As Byte) As Short
    End Function
    <DllImport("TUSBADM2.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbadm2_Length( _
                            ByVal Id As Short, _
                            ByRef Len1 As Integer, _
                            ByRef Len2 As Integer, _
                            ByRef Rate1 As Integer, _
                            ByRef Rate2 As Integer) As Short
    End Function
    <DllImport("TUSBADM2.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbadm2_Data_Get( _
                              ByVal Id As Short, _
                              ByVal ch As Byte, _
                              <[In](), Out()> ByVal Data() As Short, _
                              ByRef Leng As Integer) As Short
    End Function
    <DllImport("TUSBADM2.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbadm2_Clock_Select( _
                                   ByVal Id As Short, _
                                   ByVal InExt As Byte, _
                                   ByVal Inv As Byte, _
                                   ByVal Div As Short) As Short
    End Function
    <DllImport("TUSBADM2.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbadm2_ThLevel_Set( _
                                 ByVal Id As Short, _
                                 ByVal ThLevel As Short, _
                                 ByVal NLevel As Short) As Short
    End Function
    <DllImport("TUSBADM2.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbadm2_InputType( _
                               ByVal Id As Short, _
                               ByVal Type1 As Byte, _
                               ByVal Type2 As Byte) As Short
    End Function
    <DllImport("TUSBADM2.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbadm2_CheckInputType( _
                                    ByVal Id As Short, _
                                    ByRef Type1 As Byte, _
                                    ByRef Type2 As Byte) As Short
    End Function
    <DllImport("TUSBADM2.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbadm2_Trigger( _
                             ByVal Id As Short) As Short
    End Function

    <DllImport("TUSBADM2.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbadm2_TransLimit( _
                                ByVal Id As Short, _
                                ByVal Limit As Integer
                                ) As Short
    End Function

    ' Error Message
    Public Sub Tusbadm2_ErrorDisp(ByVal ErrCode As Short)
        Dim tmpStr As String

        Select Case ErrCode
            Case 0
                tmpStr = "正常に終了しました"
            Case 1
                tmpStr = "ID番号が正しくありません"
            Case 2
                tmpStr = "ドライバが初期化されていません"
            Case 4
                tmpStr = "接続されている台数が多すぎます"
            Case 5
                tmpStr = "オープンできませんでした"
            Case 6
                tmpStr = "デバイスが見つかりませんでした"
            Case 7
                tmpStr = "指定のデバイスはオープンされていません"
            Case 8
                tmpStr = "パラメータエラー"
            Case 9
                tmpStr = "USB通信エラー"
            Case 10
                tmpStr = "メモリ領域が確保できません"
            Case 11
                tmpStr = "連続取込動作中です"
            Case 12
                tmpStr = "連続取り込みデータはありません"
            Case 13
                tmpStr = "開始されていません"
            Case 14
                tmpStr = "メモリオーバーフロー"
            Case 15
                tmpStr = "データ並びエラー"
            Case Else
                tmpStr = "不明なエラーです"
        End Select

        MsgBox(tmpStr)
    End Sub
End Module

